#ifndef _GFXSOUNDCONFIG_H_
#define _GFXSOUNDCONFIG_H_

#include "allegro.h"
#include "GameSettings.h"
#include "MusicSound.h"

//gets graphics&sound settings
//sets graphics&sound settings

class GfxSoundConfig {
 public:
  GfxSoundConfig (GameSettings *, MusicSound *);
  void go (int index);

  static int gfxToMain(void);
  static int gfx_my_button_proc (int, DIALOG *, int);
  static int pickScreenMode(void);
  static int pickDefaultScreenMode(void);
  static int tryToSwitchMode (int, int, int, int);
  static int screenModeFilter (int, int, int, int);
  static void gfxRedrawMenu ();
  
  static string gfxDescription;
  static GameSettings * gfxgs;
  static MusicSound * gfxms;

  static int gfxBgColorR;
  static int gfxBgColorB;
  static int gfxBgColorG;
  
  static int gfxFgColorR;
  static int gfxFgColorB;
  static int gfxFgColorG;
  
  static int gfxSoundIndex;
  static int updateGVolSlider (void *dp3, int d2);
  static int updateMVolSlider (void *dp3, int d2);
  static int updateSVolSlider (void *dp3, int d2);
  static char gfxgvoldesc [80];
  static char gfxmvoldesc [80];
  static char gfxsvoldesc [80];
 
 static DIALOG gfxConfigDialog [];

  ~GfxSoundConfig ();
};

#endif
