#ifndef _CAMPAIGN_H_
#define _CAMPAIGN_H_

#include "allegro.h"

#include <string>
using namespace std;

class Campaign {

 public:
  Campaign ();
  Campaign (string *, BITMAP *, BITMAP *);
  ~Campaign ();

  void setBeginPic (BITMAP *);
  BITMAP * getBeginPic ();

  void setEndPic (BITMAP *);
  BITMAP * getEndPic ();

  void setTotalRounds (int);
  int getTotalRounds ();

  void setName (string *);
  string * getName ();

  void setMusic (string *);
  string * getMusic ();

  void setMusicLength (float);
  float getMusicLength ();

 protected:
  string * name;
  string * music;
  float musicLength;

  BITMAP * beginPic;
  BITMAP * endPic;
  int totalRounds;
};

#endif
